Community
Inventor Forum
Welcome to Autodesk’s Inventor Forums. Share your knowledge, ask questions, and explore popular Inventor topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Ilogic error (changing sheet border and title blocks)

2 REPLIES 2
Reply
Message 1 of 3
helmartins
3698 Views, 2 Replies

Ilogic error (changing sheet border and title blocks)

Hi

 

I'm having an error with Ilogic parameters (see the attachments).

 

I just wanna change the border and the title blocks with Ilogic. This should be simple. Isn't this?

 

Thanks

 

Helder Martins

 

 

2 REPLIES 2
Message 2 of 3

Hi helmartins, 

It's difficult to know what the problem might be with the information provided, but here are a couple of links that might help you get it sorted:

 

http://inventortrenches.blogspot.com/2011/05/use-ilogic-to-change-sheet-orientation.html

http://inventor-tales.blogspot.com/2010/11/drawing-conclusions-on-formatting.html

 

I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com


Message 3 of 3
jletcher
in reply to: helmartins

this is my code works great you may have to take out the style change

 

trigger=iTrigger0

Dim drawingDoc as DrawingDocument = ThisDoc.Document
Dim stylesMan As DrawingStylesManager = drawingDoc.StylesManager
Trace.WriteLine(" --- Active drawing standard = " & stylesMan.ActiveStandardStyle.Name )

'Pick Sheet Size
Sheet_Size= InputListBox("Select Sheet Size", MultiValue.List("Sheet_Size"), Sheet_Size, Title := "Sheet Size", ListName := "Choose Sheet Size")

'A size
If Sheet_Size = "A (8 1/2 X 11)" Then
ActiveSheet.ChangeSize("A", MoveBorderItems := True)
ActiveSheet.TitleBlock = "Uni Pak A"
ActiveSheet.Border = "Uni Pak A"
stylesMan.ActiveStandardStyle = stylesMan.StandardStyles("Uni Pak A")

'B size
ElseIf Sheet_Size = "B (11 X 17)" Then 
ActiveSheet.ChangeSize("B", MoveBorderItems := True)
ActiveSheet.TitleBlock = "Uni Pak B"
ActiveSheet.Border = "Uni Pak B"
stylesMan.ActiveStandardStyle = stylesMan.StandardStyles("Uni Pak B")

'C size
ElseIf Sheet_Size = "C (17 X 22)" Then 
ActiveSheet.ChangeSize("C", MoveBorderItems := True)
ActiveSheet.TitleBlock = "Uni Pak C"
ActiveSheet.Border = "Uni Pak C"
stylesMan.ActiveStandardStyle = stylesMan.StandardStyles("Uni Pak C, D")

'D size
ElseIf Sheet_Size = "D (22 X 34)" Then 
ActiveSheet.ChangeSize("D", MoveBorderItems := True)
ActiveSheet.TitleBlock = "Uni Pak D"
ActiveSheet.Border = "Uni Pak D"
stylesMan.ActiveStandardStyle = stylesMan.StandardStyles("Uni Pak C, D")

'E size
ElseIf Sheet_Size = "E (34 X 44)" Then 
ActiveSheet.ChangeSize("E", MoveBorderItems := True)
ActiveSheet.TitleBlock = "Uni Pak E"
ActiveSheet.Border = "Uni Pak E"
stylesMan.ActiveStandardStyle = stylesMan.StandardStyles("Uni Pak E")

End If
Trace.WriteLine(" --- Active drawing standard = " & stylesMan.ActiveStandardStyle.Name )
'update all 
InventorVb.DocumentUpdate()
'zoom all
ThisApplication.ActiveView.Fit

 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report